apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: solr-0.1.0
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: norole
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: solr
      nodes:
        flags: []
        settings: []
      podspec:
        containers:
          - image: aep/base_jammy
            name: solr
      provides:
        - exposed: true
          filter: []
          name: web
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
              - name: https
                port: 443
                protocol: TCP
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 1
        setup: {}
      topologyqueries: []
  dependencies:
    operator:
      name: solr-operator
      vendor: asag
      version: 0.1.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.1
  name: solr
  settings:
    - name: environment
      schema:
        default: noenv_prod
  version: 0.1.0
